import 'package:flutter/material.dart';
import 'package:unit2/theme-data.dart/colors.dart';
import '../../../../utils/global.dart';

class OfflineMenuScreen extends StatefulWidget {
  const OfflineMenuScreen({super.key});

  @override
  State<OfflineMenuScreen> createState() => _OfflineMenuScreenState();
}

class _OfflineMenuScreenState extends State<OfflineMenuScreen> {
  @override
  Widget build(BuildContext context) {
    return Drawer(
      child: SizedBox(
        height: screenHeight,
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: [
            Column(
              children: <Widget>[
                UserAccountsDrawerHeader(
                  currentAccountPictureSize: const Size.square(90),
                  decoration: const BoxDecoration(
                      color: primary,
                      image: DecorationImage(
                          image: AssetImage('assets/pngs/bg.png'),
                          fit: BoxFit.cover)),
                  accountName: null,
                  accountEmail: null,
                  currentAccountPicture: CircleAvatar(
                    radius: 100,
                    backgroundColor: fifth,
                    child: CircleAvatar(
                        radius: 100,
                        backgroundColor: third,
                        child: Image.asset(
                          'assets/pngs/capitol.png',
                        )),
                  ),
                ),
                ListTile(
                  dense: true,
                  leading: const Icon(
                    Icons.exit_to_app,
                    color: primary,
                  ),
                  title: const Text(
                    "Exit Offline Mode",
                    style: TextStyle(color: Colors.black),
                  ),
                  onTap: () async {
                    Navigator.pushReplacementNamed(context, '/');
                  },
                )
              ],
            ),
            const Expanded(child: SizedBox()),
            const Divider(),
            const SizedBox(
              height: 10,
            ),
          ],
        ),
      ),
    );
  }
}
